ConfigurationOperations Class
ConfigurationOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectConfigurationOperations
Constructor
ConfigurationOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| get |
Get all Event Hubs Cluster settings - a collection of key/value pairs which represent the quotas and settings imposed on the cluster. |
| patch |
Replace all specified Event Hubs Cluster settings with those contained in the request body. Leaves the settings not specified in the request body unmodified. |
get
Get all Event Hubs Cluster settings - a collection of key/value pairs which represent the quotas and settings imposed on the cluster.
get(resource_group_name: str, cluster_name: str, **kwargs: Any) -> azure.mgmt.eventhub.v2021_06_01_preview.models._models_py3.ClusterQuotaConfigurationProperties
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ClusterQuotaConfigurationProperties, or the result of cls(response)
Return type
Exceptions
patch
Replace all specified Event Hubs Cluster settings with those contained in the request body. Leaves the settings not specified in the request body unmodified.
patch(resource_group_name: str, cluster_name: str, parameters: azure.mgmt.eventhub.v2021_06_01_preview.models._models_py3.ClusterQuotaConfigurationProperties, **kwargs: Any) -> Optional[azure.mgmt.eventhub.v2021_06_01_preview.models._models_py3.ClusterQuotaConfigurationProperties]
Parameters
- parameters
- ClusterQuotaConfigurationProperties
Parameters for creating an Event Hubs Cluster resource.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ClusterQuotaConfigurationProperties, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.eventhub.v2021_06_01_preview.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\eventhub\\v2021_06_01_preview\\models\\__init__.py'>
Feedback
Submit and view feedback for